D-Bus: DBusBasicValue Union Reference

D-Bus 1.14.10

Data Fields
DBusBasicValue Union Reference
D-Bus low-level public API » Basic types

A simple value union that lets you access bytes as if they were various types; useful when dealing with basic types via void pointers and varargs. More...

`#include <dbus-types.h>`

## Data Fields
unsigned char | bytes [8]
| as 8 individual bytes
dbus_int16_t | i16
| as int16
dbus_uint16_t | u16
| as int16
dbus_int32_t | i32
| as int32
dbus_uint32_t | u32
| as int32
dbus_bool_t | bool_val
| as boolean
dbus_int64_t | i64
| as int64
dbus_uint64_t | u64
| as int64
DBus8ByteStruct | eight
| as 8-byte struct
double | dbl
| as double
unsigned char | byt
| as byte
char * | str
| as char* (string, object path or signature)
int | fd
| as Unix file descriptor

## Detailed Description

A simple value union that lets you access bytes as if they were various types; useful when dealing with basic types via void pointers and varargs.

This union also contains a pointer member (which can be used to retrieve a string from dbus_message_iter_get_basic(), for instance), so on future platforms it could conceivably be larger than 8 bytes.

Definition at line 137 of file dbus-types.h.

## Field Documentation

## ◆ bool_val

dbus_bool_t DBusBasicValue::bool_val

as boolean

Definition at line 144 of file dbus-types.h.

## ◆ byt

unsigned char DBusBasicValue::byt

as byte

Definition at line 149 of file dbus-types.h.

## ◆ bytes

unsigned char DBusBasicValue::bytes[8]

as 8 individual bytes

Definition at line 139 of file dbus-types.h.

## ◆ dbl

double DBusBasicValue::dbl

as double

Definition at line 148 of file dbus-types.h.

## ◆ eight

DBus8ByteStruct DBusBasicValue::eight

as 8-byte struct

Definition at line 147 of file dbus-types.h.

## ◆ fd

int DBusBasicValue::fd

as Unix file descriptor

Definition at line 151 of file dbus-types.h.

## ◆ i16

dbus_int16_t DBusBasicValue::i16

as int16

Definition at line 140 of file dbus-types.h.

## ◆ i32

dbus_int32_t DBusBasicValue::i32

as int32

Definition at line 142 of file dbus-types.h.

## ◆ i64

dbus_int64_t DBusBasicValue::i64

as int64

Definition at line 145 of file dbus-types.h.

## ◆ str

char* DBusBasicValue::str

as char* (string, object path or signature)

Definition at line 150 of file dbus-types.h.

## ◆ u16

dbus_uint16_t DBusBasicValue::u16

as int16

Definition at line 141 of file dbus-types.h.

## ◆ u32

dbus_uint32_t DBusBasicValue::u32

as int32

Definition at line 143 of file dbus-types.h.

Referenced by _dbus_message_iter_get_args_valist(), dbus_message_iter_get_basic(), and dbus_message_set_reply_serial().

## ◆ u64

dbus_uint64_t DBusBasicValue::u64

as int64

Definition at line 146 of file dbus-types.h.

The documentation for this union was generated from the following file:

- dbus-types.h